*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center; 
    min-height: 100vh;
    background: #25335b;
}
.content{
    position: relative;
    top: -80px;
    transform: skewY(-20deg);
}
.content .cube {
    position: relative;
    z-index: 2;
}
.content .cube:nth-child(2){
    z-index: 1;
    translate: -60px -60px;
}
.content .cube:nth-child(3){
    z-index: 3;
    translate: 60px 60px;
}
.content .cube div{
    position: absolute;
    display: flex;
    flex-direction: column;
    /* border:  2px solid red; */
    gap: 30px;
    translate: calc(-70px * var(--x)) calc(-60px * var(--y));
}
.content .cube div span{
    position: relative;
    display: inline-block;
    width: 50px;
    height: 50px;
    background:#dcdcdc ;
    z-index: calc(1 * var(--i));
    transition: 1.5s;
}
.content .cube div span:hover{
    transition: 0s;
    background: #ef4149;
    filter: drop-shadow(0 0 30px #ef4149);

}
.content .cube div span::before{
     content: '';
     position: absolute;
     left: -40px;
     width: 40px;
     height: 100%;
     background: #fff;
     transform-origin: right;
     transform:skewY(45deg) ;
     transition: 1.5s;
}
.content .cube div span:hover::before{
    transition: 0s;
    background:#f75d64;
}
.content .cube div span::after{
    content: '';
    position: absolute;
    top: -40px;
    left: 0;
    width: 100%;
    height: 40px;
    background: #f2f2f2;
    transform-origin: bottom;
    transform:skewX(45deg) ;
    transition: 1.5s;
}
.content .cube div span:hover::after{
   transition: 0s;
   background:#f14e55;
}